openSUSEセキュリティ更新プログラム:LibVNCServer(openSUSE-2019-45)

critical Nessus プラグイン ID 121154

言語:

概要

リモートのopenSUSEホストに、セキュリティ更新プログラムがありません。

説明

LibVNCServer用のこの更新プログラムでは、以下の問題が修正されています:

修正されたセキュリティ問題:

- CVE-2018-15126:ファイル転送拡張機能のメモリ解放後使用(Use After Free)を修正しました(bsc#1120114)

- CVE-2018-6307:ファイル転送拡張機能のサーバーコードのメモリ解放後使用(User After Free)を修正しました(bsc#1120115)

- CVE-2018-20020:VNCクライアントコードの構造内のヒープ領域外書き込みを修正しました(bsc#1120116)

- CVE-2018-15127:rfbserver.cのヒープ領域外書き込みを修正しました(bsc#1120117)

- CVE-2018-20019:VNCクライアントコードの複数のヒープ領域外書き込みを修正しました(bsc#1120118)

- CVE-2018-20023:VNC Repeaterクライアントコードの不適切な初期化による情報漏洩を修正しました(bsc#1120119)

- CVE-2018-20022:VNCクライアントコードの不適切な初期化による情報漏洩を修正しました(bsc#1120120)

- CVE-2018-20024:VNCクライアントコードでの NULL ポインターデリファレンスを修正しました(bsc#1120121)

- CVE-2018-20021:VNCクライアントコードの無限ループを修正しました(bsc#1120122)

この更新はSUSEからインポートされました:SLE-12:更新プロジェクトを更新します。

ソリューション

影響を受けるLibVNCServerパッケージを更新してください。

関連情報

https://bugzilla.opensuse.org/show_bug.cgi?id=1120114

https://bugzilla.opensuse.org/show_bug.cgi?id=1120115

https://bugzilla.opensuse.org/show_bug.cgi?id=1120116

https://bugzilla.opensuse.org/show_bug.cgi?id=1120117

https://bugzilla.opensuse.org/show_bug.cgi?id=1120118

https://bugzilla.opensuse.org/show_bug.cgi?id=1120119

https://bugzilla.opensuse.org/show_bug.cgi?id=1120120

https://bugzilla.opensuse.org/show_bug.cgi?id=1120121

https://bugzilla.opensuse.org/show_bug.cgi?id=1120122

プラグインの詳細

深刻度: Critical

ID: 121154

ファイル名: openSUSE-2019-45.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2019/1/14

更新日: 2021/1/19

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2018-20020

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:opensuse:LibVNCServer-debugsource, p-cpe:/a:novell:opensuse:LibVNCServer-devel, p-cpe:/a:novell:opensuse:libvncclient0, p-cpe:/a:novell:opensuse:libvncclient0-debuginfo, p-cpe:/a:novell:opensuse:libvncserver0, p-cpe:/a:novell:opensuse:libvncserver0-debuginfo, p-cpe:/a:novell:opensuse:linuxvnc, p-cpe:/a:novell:opensuse:linuxvnc-debuginfo, cpe:/o:novell:opensuse:42.3

必要な KB アイテム: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2019/1/11

脆弱性公開日: 2018/12/19

参照情報

CVE: CVE-2018-15126, CVE-2018-15127, CVE-2018-20019, CVE-2018-20020, CVE-2018-20021, CVE-2018-20022, CVE-2018-20023, CVE-2018-20024, CVE-2018-6307